# Function ngMessageDirective

- ngMessageDirective($animate): {
  priority: number;
  require: string;
  restrict: string;
  terminal: boolean;
  transclude: string;
  link(scope: any, element: any, attrs: any, ngMessagesCtrl: any, $transclude: any): void;
  }

- #### Parameters

  - $animate: any

  #### Returns {
  priority: number;
  require: string;
  restrict: string;
  terminal: boolean;
  transclude: string;
  link(scope: any, element: any, attrs: any, ngMessagesCtrl: any, $transclude: any): void;
  }

  - ##### priority: number

  - ##### require: string

  - ##### restrict: string

  - ##### terminal: boolean

  - ##### transclude: string

  - ##### link:function

    - link(scope, element, attrs, ngMessagesCtrl, $transclude): void

    - #### Parameters

      - scope: any
      - element: any
      - attrs: any
      - ngMessagesCtrl: any
      - $transclude: any

      #### Returns void

      - Defined in directive/messages/messages.js:250
  - Defined in directive/messages/messages.js:237

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/messages/messages.js:242